# Class Trace

Prints ng-router Transition trace information to the console.

- Defined in router/common/trace.js:86

#####
Index

### Constructors

constructor

### Properties

_enabled
approximateDigests

### Methods

_set
disable
enable
enabled
traceError
traceHookInvocation
traceHookResult
traceResolvableResolved
traceResolvePath
traceSuccess
traceTransitionIgnored
traceTransitionStart
traceUIViewConfigUpdated
traceUIViewEvent
traceUIViewFill
traceViewServiceEvent
traceViewServiceUIViewEvent
traceViewSync

##
Constructors

### constructor

- new Trace(): Trace

- #### Returns Trace

  - Defined in router/common/trace.js:87

##
Properties

### _enabled

_enabled: {}

- Defined in router/common/trace.js:88

### approximateDigests

approximateDigests: number

- Defined in router/common/trace.js:89

##
Methods

### _set

- _set(enabled, categories): void

- #### Parameters

  - enabled: any
  - categories: any

  #### Returns void

  - Defined in router/common/trace.js:92

### disable

- disable(...categories): void

- #### Parameters

  - `Rest`...categories: any[]

  #### Returns void

  - Defined in router/common/trace.js:106

### enable

- enable(...categories): void

- #### Parameters

  - `Rest`...categories: any[]

  #### Returns void

  - Defined in router/common/trace.js:103

### enabled

- enabled(category): boolean

- Retrieves the enabled stateus of a [[Category]]

      trace.enabled("VIEWCONFIG"); // true or false

  #### Parameters

  - category: any

  #### Returns boolean

  boolean true if the category is enabled

  - Defined in router/common/trace.js:118

### traceError

- traceError(reason, trans): void
- `Internal`

  called by ui-router code

  #### Parameters

  - reason: any
  - trans: any

  #### Returns void

  - Defined in router/common/trace.js:164

### traceHookInvocation

- traceHookInvocation(step, trans, options): void
- `Internal`

  called by ui-router code

  #### Parameters

  - step: any
  - trans: any
  - options: any

  #### Returns void

  - Defined in router/common/trace.js:132

### traceHookResult

- traceHookResult(hookResult, trans): void
- `Internal`

  called by ui-router code

  #### Parameters

  - hookResult: any
  - trans: any

  #### Returns void

  - Defined in router/common/trace.js:145

### traceResolvableResolved

- traceResolvableResolved(resolvable, trans): void
- `Internal`

  called by ui-router code

  #### Parameters

  - resolvable: any
  - trans: any

  #### Returns void

  - Defined in router/common/trace.js:157

### traceResolvePath

- traceResolvePath(path, when, trans): void
- `Internal`

  called by ui-router code

  #### Parameters

  - path: any
  - when: any
  - trans: any

  #### Returns void

  - Defined in router/common/trace.js:152

### traceSuccess

- traceSuccess(finalState, trans): void
- `Internal`

  called by ui-router code

  #### Parameters

  - finalState: any
  - trans: any

  #### Returns void

  - Defined in router/common/trace.js:171

### traceTransitionIgnored

- traceTransitionIgnored(trans): void
- `Internal`

  called by ui-router code

  #### Parameters

  - trans: any

  #### Returns void

  - Defined in router/common/trace.js:127

### traceTransitionStart

- traceTransitionStart(trans): void
- `Internal`

  called by ui-router code

  #### Parameters

  - trans: any

  #### Returns void

  - Defined in router/common/trace.js:122

### traceUIViewConfigUpdated

- traceUIViewConfigUpdated(viewData, context): void
- `Internal`

  called by ui-router code

  #### Parameters

  - viewData: any
  - context: any

  #### Returns void

  - Defined in router/common/trace.js:185

### traceUIViewEvent

- traceUIViewEvent(event, viewData, extra?): void
- `Internal`

  called by ui-router code

  #### Parameters

  - event: any
  - viewData: any
  - extra: string = ""

  #### Returns void

  - Defined in router/common/trace.js:178

### traceUIViewFill

- traceUIViewFill(viewData, html): void
- `Internal`

  called by ui-router code

  #### Parameters

  - viewData: any
  - html: any

  #### Returns void

  - Defined in router/common/trace.js:194

### traceViewServiceEvent

- traceViewServiceEvent(event, viewConfig): void
- `Internal`

  called by ui-router code

  #### Parameters

  - event: any
  - viewConfig: any

  #### Returns void

  - Defined in router/common/trace.js:215

### traceViewServiceUIViewEvent

- traceViewServiceUIViewEvent(event, viewData): void
- `Internal`

  called by ui-router code

  #### Parameters

  - event: any
  - viewData: any

  #### Returns void

  - Defined in router/common/trace.js:220

### traceViewSync

- traceViewSync(pairs): void
- `Internal`

  called by ui-router code

  #### Parameters

  - pairs: any

  #### Returns void

  - Defined in router/common/trace.js:199